Subject: bug#20489: 25.0.50; next-error-find-buffer chooses non-current buffer without good reason

From: Dmitry Gutov <[email-masked]>
Date: Tue, 5 May 2015 01:22:39 +0300

On 05/05/2015 01:03 AM, Ted Zlatanov wrote:

> Then (1) can become "if one window on the selected frame has the highest
> priority, return it."

How will this help the user to control which error function to use next?

And why the windows on the selected frame? If *compile* is buried, does 
it become useless? I'd say the opposite.

Or suppose I have 4 windows open in the frame, and each one's buffer has 
a next-error-function that refers only to positions in the current file? 
And there's a *compile* buffer buried somewhere. How do I actually use 
the current buffer's next-error-function, aside from C-x 1?